﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4B657A68-9236-40EA-BE28-6911189009C6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EFL.TestList</RootNamespace>
    <AssemblyName>EFL.TestList</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>
    </DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.SqlServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.Toolkit, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL" />
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Configs.cs" />
    <Compile Include="HeatUpTest.cs" />
    <Compile Include="IRunTest.cs" />
    <Compile Include="RunTestSqlLite.cs" />
    <Compile Include="RunTestOracle.cs" />
    <Compile Include="RunTestMySQL.cs" />
    <Compile Include="RunTestMsSQL.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TestMessage.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="TestImpletantions\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Core\EFL.Logger\EFL.LogMgr.csproj">
      <Project>{579a3b04-6b08-4670-9f3d-f0a8204f373d}</Project>
      <Name>EFL.LogMgr</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Core\EFL.Timer\EFL.Timer.csproj">
      <Project>{ad812f52-7980-48c9-88e1-95889a10877f}</Project>
      <Name>EFL.Timer</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.Db.Common\EFL.Db.Common.csproj">
      <Project>{5e115dae-0248-400f-bbbe-2b51c2d6fe7b}</Project>
      <Name>EFL.Db.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.ENTITIES\EFL.IEntity.csproj">
      <Project>{66167b45-404b-494d-9404-8a17863f8f60}</Project>
      <Name>EFL.IEntity</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.MSSQL\EFL.MSSQL.csproj">
      <Project>{a27171bd-6a8c-4bc5-9b7e-30a5ed1f4894}</Project>
      <Name>EFL.MSSQL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.MySQL\EFL.MySQL.csproj">
      <Project>{41e4306e-cca3-4824-90ee-3ed17e67ff80}</Project>
      <Name>EFL.MySQL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.Oracle\EFL.Oracle.csproj">
      <Project>{3a809c3f-d495-4e6d-b743-51100128b75e}</Project>
      <Name>EFL.Oracle</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\EFL.SqlLite\EFL.SqlLite.csproj">
      <Project>{031482a5-da97-4c34-b0b1-b1bf6cec5c9c}</Project>
      <Name>EFL.SqlLite</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Repositories\RepoFactory\EFL.RepoFactory.csproj">
      <Project>{9412b3c6-e398-4193-86a3-7bba5cc495b0}</Project>
      <Name>EFL.RepoFactory</Name>
    </ProjectReference>
    <ProjectReference Include="..\EFL.DataGenerator\EFL.DataGenerator.csproj">
      <Project>{5e10dc61-bb18-44d8-9dbe-aea0904c97ad}</Project>
      <Name>EFL.DataGenerator</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>